Usage: ../asy [options] [file ...]

Options (negate by replacing - with -no): 

-V,-View              View output; command-line only
-a,-align C|B|T|Z     Center, Bottom, Top, or Zero page alignment [Center]
-autoimport string    Module to automatically import [""]
-autoplain            Enable automatic importing of plain [true]
-autorotate           Enable automatic PDF page rotation [false]
-batchMask            Mask fpu exceptions in batch mode [false]
-batchView            View output in batch mode [false]
-bw                   Convert all colors to black and white [false]
-cd directory         Set current directory; command-line only
-cmyk                 Convert rgb colors to cmyk [false]
-c,-command string    Command to autoexecute
-compact              Conserve memory at the expense of speed [false]
-d,-debug             Enable debugging messages [false]
-divisor n            Free space divisor for garbage collection [2]
-globalwrite          Allow write to other directory; command-line only [false]
-gray                 Convert all colors to grayscale [false]
-h,-help              Show summary of options; command-line only
-historylines n       Retain n lines of history [1000]
-inlinetex            Generate inline tex code [false]
-interactiveMask      Mask fpu exceptions in interactive mode [true]
-interactiveView      View output in interactive mode [true]
-interactiveWrite     Write expressions entered at the prompt to stdout [true]
-k,-keep              Keep intermediate files [false]
-keepaux              Keep intermediate LaTeX .aux files [false]
-level n              Postscript level [3]
-l,-listvariables     List available global functions and variables [false]
-localhistory         Use a local interactive history file [false]
-m,-mask              Mask fpu exceptions; command-line only
-multiline            Input code over multiple lines at the prompt [false]
-multipleView         View output from multiple batch-mode files [false]
-O,-offset pair       PostScript offset [(0,0)]
-f,-outformat format  Convert each output file to specified format
-o,-outname name      Alternative output name for first file
-p,-parseonly         Parse file [false]
-prompt string        Prompt ["> "]
-prompt2 string       Continuation prompt for multiline input [".."]
-rgb                  Convert cmyk colors to rgb [false]
-safe                 Disable system call; command-line only [true]
-scroll n             Scroll standard output n lines at a time [0]
-tabcompletion        Interactive prompt auto-completion [true]
-tex engine           TeX engine ("latex|pdflatex|tex|pdftex|none") ["latex"]
-s,-translate         Show translated virtual machine code [false]
-twice                Run LaTeX twice (to resolve references) [false]
-unsafe               Enable system call (=> global); command-line only [false]
-u,-user string       General purpose user string [""]
-v,-verbose           Increase verbosity level [0]
-version              Show version; command-line only
-wait                 Wait for child processes to finish before exiting [false]
-where                Show where listed variables are declared [false]
-xformat format       GUI deconstruction format ["png"]

